/* lib/version.h.  Generated from version.h.in by configure.
 *
 * Quagga version
 * Copyright (C) 1997, 1999 Kunihiro Ishiguro
 * 
 * This file is part of GNU Zebra.
 *
 * GNU Zebra is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * GNU Zebra is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GNU Zebra; see the file COPYING.  If not, write to the Free
 * Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.  
 */

#ifndef _ZEBRA_VERSION_H
#define _ZEBRA_VERSION_H

#ifdef GIT_VERSION
#include "lib/gitversion.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif

#ifndef GIT_SUFFIX
#define GIT_SUFFIX ""
#endif
#ifndef GIT_INFO
#define GIT_INFO ""
#endif

#define FRR_PAM_NAME    "frr"
#define FRR_SMUX_NAME   "frr"
#define FRR_PTM_NAME    "frr"

#define FRR_FULL_NAME   "FRRouting"
#define FRR_VERSION     "8.2.2/frr-8.2.2" GIT_SUFFIX
#define FRR_VER_SHORT   "8.2.2/frr-8.2.2"
#define FRR_BUG_ADDRESS "https://github.com/frrouting/frr/issues"
#define FRR_COPYRIGHT   "Copyright 1996-2005 Kunihiro Ishiguro, et al."
#define FRR_CONFIG_ARGS "'--enable-doc-html' '--sysconfdir=/usr/pkg/etc/frr' '--enable-user=_frr' '--enable-group=_frr' '--localstatedir=/var/run/frr' '--enable-multipath=64' '--enable-vty-group=frrvty' '--enable-configfile-mask=0640' '--enable-logfile-mask=0640' '--enable-fpm' '--with-pkg-git-version' '--with-pkg-extra-version=/frr-8.2.2' '--enable-dev-build' '--prefix=/usr/pkg' '--build=i486--netbsdelf' '--host=i486--netbsdelf' '--infodir=/usr/pkg/info' '--mandir=/usr/pkg/man' '--enable-option-checking=yes' 'build_alias=i486--netbsdelf' 'host_alias=i486--netbsdelf' 'PKG_CONFIG={WRKDIR}/.tools/bin/pkg-config' 'PKG_CONFIG_PATH=' 'PKG_CONFIG_LIBDIR={WRKDIR}/.buildlink/lib/pkgconfig:{WRKDIR}/.buildlink/share/pkgconfig' 'CC=gcc' 'CFLAGS=-O2 -DFRR_XREF_NO_NOTE -march=i586 -fPIC -D_FORTIFY_SOURCE=2 -I/usr/pkg/include -I/usr/include -I/usr/pkg/include/python3.10' 'LDFLAGS=-Wl,-zrelro -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/lib -Wl,-R/usr/lib' 'LIBS=' 'CPPFLAGS=-I/usr/pkg/include -I/usr/include -I/usr/pkg/include/python3.10' 'CXX=c++' 'CXXFLAGS=-O2 -DFRR_XREF_NO_NOTE -march=i586 -fPIC -D_FORTIFY_SOURCE=2 -I/usr/pkg/include -I/usr/include -I/usr/pkg/include/python3.10' 'PYTHON=/usr/pkg/bin/python3.10' 'YACC=/usr/pkg/bin/bison -y'"

#define FRR_DEFAULT_MOTD \
	"\n" \
	"Hello, this is " FRR_FULL_NAME " (version " FRR_VERSION ").\n" \
	FRR_COPYRIGHT "\n" \
	GIT_INFO "\n"

pid_t pid_output (const char *);

#ifdef __cplusplus
}
#endif

#endif /* _ZEBRA_VERSION_H */
